.\"	$NetBSD: mixerctl.conf.5,v 1.5 2003/02/14 15:20:20 grant Exp $
.\"
.\" Copyright 2002 Jared D. McNeill <jmcneill@NetBSD.org>
.\" All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. The name of the author may not be used to endorse or promote products
.\"    derived from this software without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
.\" IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
.\" OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
.\" IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
.\" INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
.\" NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
.\" DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
.\" THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
.\" (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
.\" THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd April 5, 2003
.Dt MIXERCTL.CONF 5
.Os
.Sh NAME
.Nm mixerctl.conf
.Nd audio mixer configuration file
.Sh SYNOPSIS
.Nm
.Sh DESCRIPTION
The
.Pa /etc/mixerctl.conf
file consists of
.Xr mixerctl 1
variables to set at boot time.
Each line of
.Nm
has the following format:
.Dl variable=value
.Pp
To generate a
.Nm
from the current mixer settings, execute:
.Dl Ic mixerctl -a \*[Gt] /etc/mixerctl.conf
.Pp
Set
.Sy mixerctl
to YES in
.Xr rc.conf 5
to have the variables set at boot time.
Additionally, you can have the settings saved
and restored for the devices of your choice by listing them in
.Sy mixerctl_mixers
in
.Xr rc.conf 5 .
.Sh FILES
.Bl -tag -width /etc/mixerctl.conf -compact
.It Pa /etc/mixerctl.conf
.El
.Sh EXAMPLES
Example mixer settings for an
.Xr esa 4
audio adapter:
.Bd -literal
outputs.master=255,255
outputs.master.mute=off
outputs.mono=255
outputs.mono.mute=on
outputs.mono.source=mixerout
outputs.headphones=255,255
outputs.headphones.mute=off
outputs.tone=255,255
inputs.speaker=255
inputs.speaker.mute=off
inputs.phone=191
inputs.phone.mute=on
inputs.mic=191
inputs.mic.mute=on
inputs.mic.preamp=off
inputs.mic.source=mic0
inputs.line=191,191
inputs.line.mute=on
inputs.cd=191,191
inputs.cd.mute=on
inputs.video=255,255
inputs.video.mute=off
inputs.aux=255,255
inputs.aux.mute=off
inputs.dac=191,191
inputs.dac.mute=off
record.source=mic
record.volume=255,255
record.volume.mute=off
record.mic=0
record.mic.mute=off
outputs.loudness=off
outputs.spatial=off
outputs.spatial.center=0
outputs.spatial.depth=0
.Ed
.Sh SEE ALSO
.Xr mixerctl 1 ,
.Xr rc.conf 5
.Sh HISTORY
The
.Nm
configuration file first appeared in
.Nx 2.0 .
